import schedule
import time

from data_channel.cljx_nrxs import CLJX
# from data_channel.qpl_ks import QplKs


def video_start():
    print("任务开始...")

    try:
        CLJX.get_nrxs()
        print("任务成功完成")
    except Exception as e:
        print(f"任务执行过程中发生错误: {e}")

    print("任务结束")


# 每天早上 6 点执行
schedule.every().day.at("06:00").do(video_start)

while True:
    schedule.run_pending()
    time.sleep(1)